# Uses of Interface
org.bukkit.entity.Fish

Packages that use Fish
Package
Description
com.destroystokyo.paper.entity.ai
io.papermc.paper.entity
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.player
`Events` relating to `players`.

## Uses of Fish in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Fish
Modifier and Type
Field
Description
`static final GoalKey<Fish>`
VanillaGoal.`FISH_SCHOOL`
Deprecated.
`static final GoalKey<Fish>`
VanillaGoal.`FISH_SWIM`

## Uses of Fish in io.papermc.paper.entity

Subinterfaces of Fish in io.papermc.paper.entity
Modifier and Type
Interface
Description
`interface`
`SchoolableFish`
Represents a fish that can school with other fish.

## Uses of Fish in org.bukkit.entity

Subinterfaces of Fish in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Cod`
Represents a cod fish.
`interface`
`PufferFish`
Represents a puffer fish.
`interface`
`Salmon`
Represents a salmon fish.
`interface`
`Tadpole`
A baby `Frog`.
`interface`
`TropicalFish`
Tropical fish.

## Uses of Fish in org.bukkit.event.player

Methods in org.bukkit.event.player that return Fish
Modifier and Type
Method
Description
`@NotNull Fish`
PlayerBucketFishEvent.`getEntity()`
Deprecated.
Gets the fish involved with this event.
Constructors in org.bukkit.event.player with parameters of type Fish
Modifier
Constructor
Description
``
`PlayerBucketFishEvent(@NotNull Player player, @NotNull Fish fish, @NotNull ItemStack waterBucket, @NotNull ItemStack fishBucket, @NotNull EquipmentSlot hand)`
Deprecated.